[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# TCharacter.ToUpper

Convert a character or string to uppercase

## Declaration

Source position: character.pas line 142

`public class function TCharacter.ToUpper(`
`AChar: UnicodeChar`
`):UnicodeChar; overload; class function TCharacter.ToUpper(`
`const AString: UnicodeString`
`):UnicodeString; overload; class function TCharacter.ToUpper(`
`const AString: UnicodeString;`
`const AOptions: TCharacterOptions`
`):UnicodeString; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

The uppercase version of the character or string

## Arguments

`AString` |  | String containing UTF-16 encoded characters

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AOptions` |  | Options controlling the behaviour of the conversion

## Description

ToUpper converts the Unicode character AChar or string AString to uppercase. Options determines the behaviour of the conversion: if AOptions contains coIgnoreInvalidSequence then no exception will be raised when the string or character contains an invalid Unicode sequence. The default behaviour is to raise an EArgumentException exception when this happens.

## Errors

If an invalid character is encountered, an EArgumentException exception is raised, unless coIgnoreInvalidSequence is specified in the options.

## See also

TCharacter.ToUpper |  | Convert a character or string to uppercase
TCharacter.IsLower |  | Check if a Unicode character is a lowercase letter
TCharacter.IsUpper |  | Check whether a Unicode character is an uppercase letter